// src/components/sidebar/AdminSidebar.js

import React, { useState } from 'react';
import { Layout } from 'antd';
import { Link } from 'react-router-dom';
import BrookslogoIcon from '../../assets/thob-data/BrookslogoIcon.svg';
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import CatalogIcon from '../../assets/thob-data/CatalogIcon.svg';
import EmployeeIcon from '../../assets/thob-data/EmployeeIcon.svg';
import MeasurmentsIcon from '../../assets/thob-data/MeasurmentsIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';
import '../../styles/AdminSidebar.css'; // Import the CSS file

const { Sider } = Layout;

const classNames = {
  sider: 'desktop-sidebar',
  logoContainer: 'flex items-center justify-center h-16 w-16 m-5 bg-white',
  iconContainer: 'flex flex-col items-center',
  iconLink: 'my-6',
  icon: 'hover:opacity-75 sidebar-icon',
};

const AdminSidebar = () => {
  const [visible, setVisible] = useState(false);

  return (
    <>
      <Sider
        className={classNames.sider}
        breakpoint="lg"
        collapsedWidth="0"
        width={80}
        style={{ height: '100vh' }}
      >
        <div className={classNames.logoContainer} style={{ width: '40px', height: '40px', marginTop: '16px', marginLeft: '20px' }}>   
          <Link to="/admin" className={classNames.iconLink}>
            <img src={BrookslogoIcon} alt="Home" className={classNames.icon} />
          </Link>
        </div>
        <div className={classNames.iconContainer}>
          <Link to="/admin" className={classNames.iconLink}>
            <img src={HomeIcon} alt="Home" className={classNames.icon} />
          </Link>
          <Link to="/CategoryList" className={classNames.iconLink}>
            <img src={CategoriesIcon} alt="Categories" className={classNames.icon} />
          </Link>
          <Link to="/admin/add-customer" className={classNames.iconLink}>
            <img src={AddCustomerIcon} alt="Add Customer" className={classNames.icon} />
          </Link>
          <Link to="/admin/orders" className={classNames.iconLink}>
            <img src={OrdersIcon} alt="Orders" className={classNames.icon} />
          </Link>
          <Link to="/admin/catalog" className={classNames.iconLink}>
            <img src={CatalogIcon} alt="Catalog" className={classNames.icon} />
          </Link>
          <Link to="/employees" className={classNames.iconLink}>
            <img src={EmployeeIcon} alt="Employee" className={classNames.icon} />
          </Link>
          <Link to="/admin/measurements" className={classNames.iconLink}>
            <img src={MeasurmentsIcon} alt="Measurements" className={classNames.icon} />
          </Link>
          <Link to="/admin/profile" className={classNames.iconLink}>
            <img src={ProfileIcon} alt="Profile" className={classNames.icon} />
          </Link>
          <Link to="/admin/logout" className={classNames.iconLink}>
            <img src={LogoutIcon} alt="Logout" className={classNames.icon} />
          </Link>
        </div>
      </Sider>
    </>
  );
};

export default AdminSidebar;
