const authService = {
  login: async (username, password) => {
    try {
      // Simulate login process with API call (replace with real API endpoint)
      const response = await axiosInstance.post('/auth/login', { username, password });
      const userData = response.data;

      // Store user data and token in localStorage
      localStorage.setItem('user', JSON.stringify(userData));
      localStorage.setItem('token', userData.token);

      return userData;
    } catch (error) {
      throw new Error('Login failed. Please check your credentials.');
    }
  },
  logout: () => {
    localStorage.removeItem('user');
    localStorage.removeItem('token');
  },
  getCurrentUser: () => {
    return JSON.parse(localStorage.getItem('user'));
  },
  getToken: () => {
    return localStorage.getItem('token');
  },
  isAuthenticated: () => {
    return !!localStorage.getItem('token');
  },
  hasRole: (role) => {
    const user = JSON.parse(localStorage.getItem('user'));
    return user && user.role === role;
  }
};

export default authService;
