/** @type {import('tailwindcss').Config} */

module.exports = {
  content: [
    './src/**/*.{html,js,jsx}',
  ],
  theme: {
    extend: {
      colors: {
        primary: '#0e355b',
        'primary-dark': '#154676',
        secondary: '#ffffff',
        'primary-text': '#0e355b',
        'secondary-text': '#4b5563',
        'button-text': '#d1d5db',
      },

      fontFamily: {
        sans: ['"Nunito Sans"', 'sans-serif'],
      },
      fontSize: {
        base: '14px',
        'h1': '24px',
        'p': '16px',
        'input': '16px',
        'button': '18px',
      },
      screens: {
        'sm': '640px',   
        'md': '768px',   
        'lg': '1024px',  
        'xl': '1280px',  
        '2xl': '1536px', 
      },
    },
  },
  plugins: [],
};
